Bug 138937 - CRASH: adding a new animation after defining a motion path
Summary: CRASH: adding a new animation after defining a motion path
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.2 target:7.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-15 12:00 UTC by Xisco Faulí
Modified: 2021-01-04 12:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["sd::CustomAnimationPane::onAdd()"]


Attachments
screencast (1.13 MB, video/x-matroska)
2020-12-15 12:00 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-15 12:00:01 UTC
Created attachment 168193 [details]
screencast

Steps to reproduce:
1. Open Impress
2. Insert a shape
3. Add a new animation. Category: Motion Path. Effect: Curve
4. Draw the curve and double click to finish the editing
5. Select the shape again
6. Add a new animation

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 9a2a4bc5ed340ba187c8e27db5c8477c990c93af
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-15 12:01:20 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d86cfcaf709638d73fcb0de5067b902dab7a7f2f

author	Mark Hung <marklh9@gmail.com>	2019-11-18 00:49:03 +0800
committer	Mark Hung <marklh9@gmail.com>	2019-11-30 15:00:09 +0100
commit	d86cfcaf709638d73fcb0de5067b902dab7a7f2f (patch)
tree	9306bca1007d5888e76c608f2fd1103704761623
parent	aeed331f7307612fbc4ebac4764cd39f6f2352e9 (diff)
tdf#94947 Set preset-id for user defined motion paths.

Bisected with: bibisect-linux64-7.2
 
Adding Cc: to Mark Hung
Comment 2 Commit Notification 2020-12-24 13:03:24 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/765b13b67e46aa8c8618fdad8582f8586bffce9e

tdf#138937 don't use attributes that depend on preset data

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-12-29 12:38:24 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 476bc04e6a9cde9b7424f118d6ef9422975be84a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mark Hung, thanks for fixing this issue. Should it be closed as RESOLVED FIXED ?
Comment 4 Commit Notification 2020-12-29 12:39:49 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/3c44c403791754207142c60183a118c323b9c297

tdf#138937 don't use attributes that depend on preset data

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-29 14:31:58 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2a468a02e4ef2dd90f29f750e701a00936d13f60

tdf#138937 don't use attributes that depend on preset data

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.